Skip to main content
GET
/
api
/
v1
/
auth
/
otc
/
withdrawals
List OTC withdrawals
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/otc/withdrawals \
  --header 'Authorization: Bearer <token>'
{
  "withdrawals": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "usdt_amount": "<string>",
      "fiat_amount": "<string>",
      "fiat_currency": "<string>",
      "method": "bank",
      "status": "pending",
      "from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payout_bank_account": "<string>",
      "payout_bank_name": "<string>",
      "payout_phone_number": "<string>",
      "rejection_reason": "<string>",
      "rejected_at": "2023-11-07T05:31:56Z",
      "rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "approved_at": "2023-11-07T05:31:56Z",
      "approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "completed_at": "2023-11-07T05:31:56Z",
      "completed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "internal_note": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

status
enum<string>
Available options:
pending,
approved,
processing,
completed,
rejected
method
enum<string>
Available options:
bank,
mpesa
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

200 - application/json

List of withdrawals

withdrawals
object[]